## ros-indigo-mavros-msgs 0.17.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mavros_msgs)

find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs)

include_directories(include)

add_message_files(
  DIRECTORY msg
  FILES
  ActuatorControl.msg
  Altitude.msg
  AttitudeTarget.msg
  BatteryStatus.msg
  CamIMUStamp.msg
  CommandCode.msg
  ExtendedState.msg
  FileEntry.msg
  GlobalPositionTarget.msg
  HilControls.msg
  HomePosition.msg
  ManualControl.msg
  Mavlink.msg
  OpticalFlowRad.msg
  OverrideRCIn.msg
  ParamValue.msg
  PositionTarget.msg
  RCIn.msg
  RCOut.msg
  RadioStatus.msg
  State.msg
  VFR_HUD.msg
  Vibration.msg
  Waypoint.msg
  WaypointList.msg
)

add_service_files(
  DIRECTORY srv
  FILES
  CommandBool.srv
  CommandHome.srv
  CommandInt.srv
  CommandLong.srv
  CommandTOL.srv
  CommandTriggerControl.srv
  FileChecksum.srv
  FileClose.srv
  FileList.srv
  FileMakeDir.srv
  FileOpen.srv
  FileRead.srv
  FileRemove.srv
  FileRemoveDir.srv
  FileRename.srv
  FileTruncate.srv
  FileWrite.srv
  ParamGet.srv
  ParamPull.srv
  ParamPush.srv
  ParamSet.srv
  SetMode.srv
  StreamRate.srv
  WaypointClear.srv
  WaypointPull.srv
  WaypointPush.srv
  WaypointSetCurrent.srv
)

# add_action_files(
#   DIRECTORY action
#   FILES
#   Action1.action
#   Action2.action
# )

generate_messages(DEPENDENCIES geometry_msgs std_msgs)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS geometry_msgs message_runtime std_msgs)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

=== debian/changelog ===
ros-indigo-mavros-msgs (0.17.5-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 07 Feb 2017 00:00:00 -0000

ros-indigo-mavros-msgs (0.17.4-0trusty) trusty; urgency=high

  * Adding anchor to the HIL_CONTROLS message reference link
  * Utilizing synchronise_stamp and adding reference to MAVLINK msg documentation
  * Added a plugin that publishes HIL_CONTROLS as ROS messages
  * Contributors: Pavel

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 23 Jun 2016 00:00:00 -0000

ros-indigo-mavros-msgs (0.17.3-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 20 May 2016 00:00:00 -0000

ros-indigo-mavros-msgs (0.17.2-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 29 Apr 2016 00:00:00 -0000

ros-indigo-mavros-msgs (0.17.1-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 28 Mar 2016 00:00:00 -0000

ros-indigo-mavros-msgs (0.17.0-0trusty) trusty; urgency=high

  * rebased with master
  * Contributors: francois

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 09 Feb 2016 00:00:00 -0000

ros-indigo-mavros-msgs (0.16.6-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 04 Feb 2016 00:00:00 -0000

ros-indigo-mavros-msgs (0.16.5-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 11 Jan 2016 00:00:00 -0000

ros-indigo-mavros-msgs (0.16.4-0trusty) trusty; urgency=high

  * Update mavlink message documentation links
  * remove "altitude_" prefix from members
  * implemented altitude plugin
  * Contributors: Andreas Antener, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 14 Dec 2015 00:00:00 -0000

ros-indigo-mavros-msgs (0.16.3-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 19 Nov 2015 00:00:00 -0000

ros-indigo-mavros-msgs (0.16.2-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 17 Nov 2015 00:00:00 -0000

ros-indigo-mavros-msgs (0.16.1-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 13 Nov 2015 00:00:00 -0000

ros-indigo-mavros-msgs (0.16.0-0trusty) trusty; urgency=high

  * msgs #418 <https://github.com/mavlink/mavros/issues/418>: add message for attitude setpoints
  * plugin: waypoint fix #414 <https://github.com/mavlink/mavros/issues/414>: remove GOTO service.
    It is replaced with more standard global setpoint messages.
  * msgs #415 <https://github.com/mavlink/mavros/issues/415>: Add message for raw global setpoint
  * msgs #402 <https://github.com/mavlink/mavros/issues/402>: PositionTarget message type
  * setting constant values and reference docs
  * pass new extended state to ros
  * msgs #371 <https://github.com/mavlink/mavros/issues/371>: add missing message
  * msgs #371 <https://github.com/mavlink/mavros/issues/371>: add HomePosition message
  * Contributors: Andreas Antener, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 09 Nov 2015 00:00:00 -0000

ros-indigo-mavros-msgs (0.15.0-0trusty) trusty; urgency=high

  * msgs #286 <https://github.com/mavlink/mavros/issues/286>: fix bug with packet header.
  * msgs #286 <https://github.com/mavlink/mavros/issues/286>: Add valid flag and checksum to Mavlink.msg
  * plugin: manual_control: Use shared pointer message
    Fix alphabetic order of msgs.
  * removed old commend in .msg file
  * Add MANUAL_CONTROL handling with new plugin
  * Contributors: Vladimir Ermakov, v01d

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 17 Sep 2015 00:00:00 -0000

ros-indigo-mavros-msgs (0.14.2-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 20 Aug 2015 00:00:00 -0000

ros-indigo-mavros-msgs (0.14.1-0trusty) trusty; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 19 Aug 2015 00:00:00 -0000

ros-indigo-mavros-msgs (0.14.0-0trusty) trusty; urgency=high

  * msgs: Add mixer group constants ActuatorControl
  * msgs: Add notes to message headers.
  * msgs: sort msgs in alphabetical order
  * msgs: use std::move for mavlink->ros convert
  * msgs: add note about convert function
  * msgs: change description, make catkin lint happy
  * msgs: move convert functions to msgs package.
  * msgs: fix message generator and runtime depent tags
  * msgs: remove never used Mavlink.fromlcm field.
  * msgs: add package name for all non basic types
  * msgs: fix msgs build
  * msgs #354 <https://github.com/mavlink/mavros/issues/354>: move all messages to mavros_msgs package.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 17 Aug 2015 00:00:00 -0000

=== debian/control ===
Source: ros-indigo-mavros-msgs
Section: misc
Priority: extra
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/mavros_msgs
Standards-Version: 3.9.2

Package: ros-indigo-mavros-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-std-msgs
Description: mavros_msgs defines messages for MAVROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mavros-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
